#
#  ██╗  ██╗██╗██████╗ ██╗  ██╗██╗ █████╗ ███████╗
#  ╚██╗██╔╝██║██╔══██╗██║  ██║██║██╔══██╗██╔════╝
#   ╚███╔╝ ██║██████╔╝███████║██║███████║███████╗
#   ██╔██╗ ██║██╔═══╝ ██╔══██║██║██╔══██║╚════██║
#  ██╔╝ ██╗██║██║     ██║  ██║██║██║  ██║███████║
#  ╚═╝  ╚═╝╚═╝╚═╝     ╚═╝  ╚═╝╚═╝╚═╝  ╚═╝╚══════╝
#
# _chicken_lunch.mcfunction | Give current status to each player after wool drops.
#                           | Called by 'Place the COLOR Wool' Advancements
#
# Special thanks to MSpaceDev. I pulled apart the 'Player Graves' data pack to understand how functions do.
# MSpaceDev | https://www.youtube.com/c/MinecraftSpace
#

# Grab Current Play Time
scoreboard players operation @s xph_time_ticks = @s xph_time
scoreboard players operation @s xph_time_hours = @s xph_time_ticks
scoreboard players operation @s xph_time_minutes = @s xph_time_ticks
scoreboard players operation @s xph_time_seconds = @s xph_time_ticks

# Caculate Play Time Hours
scoreboard players operation @s xph_time_hours /= @s xph_math_72000

# Caculate Play Time Minutes
scoreboard players operation @s xph_time_minutes /= @s xph_math_1200
scoreboard players operation @s xph_time_minutes %= @s xph_math_60

# Caculate Play Time Seconds
scoreboard players operation @s xph_time_seconds /= @s xph_math_20
scoreboard players operation @s xph_time_seconds %= @s xph_math_60

# Caculate Play Time Fraction
scoreboard players operation @s xph_time_ticks %= @s xph_math_20
scoreboard players operation @s xph_time_ticks *= @s xph_math_5

# Display Gameplay Stats
tellraw @s ["",{"text":"Current Time: ","italic":true},{"score":{"name":"@s","objective":"xph_time_hours"},"italic":true,"color":"aqua"},{"text":":","italic":true,"color":"aqua"},{"score":{"name":"@s","objective":"xph_time_minutes"},"italic":true,"color":"aqua"},{"text":":","italic":true,"color":"aqua"},{"score":{"name":"@s","objective":"xph_time_seconds"},"italic":true,"color":"aqua"},{"text":".","italic":true,"color":"aqua"},{"score":{"name":"@s","objective":"xph_time_ticks"},"italic":true,"color":"aqua"},{"text":", Deaths: ","italic":true},{"score":{"name":"@s","objective":"xph_ded"},"italic":true,"color":"aqua"},{"text":", Kills: ","italic":true},{"score":{"name":"@s","objective":"xph_mob"},"italic":true,"color":"aqua"},{"text":"\nNumber of Jumps: ","italic":true},{"score":{"name":"@s","objective":"xph_jump"},"italic":true,"color":"aqua"},{"text":", Crafting Table Uses: ","italic":true},{"score":{"name":"@s","objective":"xph_table"},"italic":true,"color":"aqua"}]

# END OF LINE.