#
#  ██╗  ██╗██╗██████╗ ██╗  ██╗██╗ █████╗ ███████╗
#  ╚██╗██╔╝██║██╔══██╗██║  ██║██║██╔══██╗██╔════╝
#   ╚███╔╝ ██║██████╔╝███████║██║███████║███████╗
#   ██╔██╗ ██║██╔═══╝ ██╔══██║██║██╔══██║╚════██║
#  ██╔╝ ██╗██║██║     ██║  ██║██║██║  ██║███████║
#  ╚═╝  ╚═╝╚═╝╚═╝     ╚═╝  ╚═╝╚═╝╚═╝  ╚═╝╚══════╝
#
# world_class.mcfunction | Award the active player and share the Advancement with other players.
#                        | Called by 'World Class Adventurer' Advancement
#

# Loot Chest Lv3, Orange Dye
tellraw @s ["",{"text":"Loot Chest Lv3 Given\n","color":"aqua"},{"text":"Orange Dye Recipe Unlocked","color":"yellow"}]
playsound minecraft:entity.player.levelup player @s ~ ~ ~ 1 0.75 1

# Loot Chest Reward
give @s minecraft:chest{display:{Name:"{\"text\":\"Loot Chest | Lv 3\"}"},BlockEntityTag:{LootTable:"xiphias:chests/loot_chest_lv3"}}

# /Recipe and XP Awards are given through the Advancement/

# Give Tag needed for other Advancements, Tag: world_class
tag @s add world_class

# Award Advancement to other players.
# /Awarded based on Tags: world_class_food, world_class_book & world_class_tool/

# END OF LINE.