#
#  ██╗  ██╗██╗██████╗ ██╗  ██╗██╗ █████╗ ███████╗
#  ╚██╗██╔╝██║██╔══██╗██║  ██║██║██╔══██╗██╔════╝
#   ╚███╔╝ ██║██████╔╝███████║██║███████║███████╗
#   ██╔██╗ ██║██╔═══╝ ██╔══██║██║██╔══██║╚════██║
#  ██╔╝ ██╗██║██║     ██║  ██║██║██║  ██║███████║
#  ╚═╝  ╚═╝╚═╝╚═╝     ╚═╝  ╚═╝╚═╝╚═╝  ╚═╝╚══════╝
#
# _chicken_dinner.mcfunction | End of map fancy stuff - runs for each player.
#                            | Called by 'xiphias:_winner_winner'
#
# Special thanks to MSpaceDev. I pulled apart the 'Player Graves' data pack to understand how functions do.
# MSpaceDev | https://www.youtube.com/c/MinecraftSpace
#

# Grab Current Play Time
scoreboard players operation @s xph_time_ticks = @s xph_time
scoreboard players operation @s xph_time_hours = @s xph_time_ticks
scoreboard players operation @s xph_time_minutes = @s xph_time_ticks
scoreboard players operation @s xph_time_seconds = @s xph_time_ticks

# Caculate Play Time Hours
scoreboard players operation @s xph_time_hours /= @s xph_math_72000

# Caculate Play Time Minutes
scoreboard players operation @s xph_time_minutes /= @s xph_math_1200
scoreboard players operation @s xph_time_minutes %= @s xph_math_60

# Caculate Play Time Seconds
scoreboard players operation @s xph_time_seconds /= @s xph_math_20
scoreboard players operation @s xph_time_seconds %= @s xph_math_60

# Caculate Play Time Fraction
scoreboard players operation @s xph_time_ticks %= @s xph_math_20
scoreboard players operation @s xph_time_ticks *= @s xph_math_5

# Display Gameplay Stats
tellraw @a ["",{"text":"Gameplay Stats for ","italic":true},{"selector":"@s","italic":true},{"text":"\n"},{"text":"Completion Time: ","color":"green"},{"score":{"name":"@s","objective":"xph_time_hours"},"color":"aqua"},{"text":":","color":"aqua"},{"score":{"name":"@s","objective":"xph_time_minutes"},"color":"aqua"},{"text":":","color":"aqua"},{"score":{"name":"@s","objective":"xph_time_seconds"},"color":"aqua"},{"text":".","color":"aqua"},{"score":{"name":"@s","objective":"xph_time_ticks"},"color":"aqua"},{"text":"\n"},{"text":"Player Deaths: ","color":"green"},{"score":{"name":"@a","objective":"xph_ded"},"color":"aqua"},{"text":"\n"},{"text":"Mob Kills: ","color":"green"},{"score":{"name":"@s","objective":"xph_mob"},"color":"aqua"},{"text":"\n"},{"text":"Number of Jumps: ","color":"yellow"},{"score":{"name":"@s","objective":"xph_jump"},"color":"aqua"},{"text":"\n"},{"text":"Crafting Table Uses: ","color":"yellow"},{"score":{"name":"@s","objective":"xph_table"},"color":"aqua"}]

# END OF LINE.