#
#  ██╗  ██╗██╗██████╗ ██╗  ██╗██╗ █████╗ ███████╗
#  ╚██╗██╔╝██║██╔══██╗██║  ██║██║██╔══██╗██╔════╝
#   ╚███╔╝ ██║██████╔╝███████║██║███████║███████╗
#   ██╔██╗ ██║██╔═══╝ ██╔══██║██║██╔══██║╚════██║
#  ██╔╝ ██╗██║██║     ██║  ██║██║██║  ██║███████║
#  ╚═╝  ╚═╝╚═╝╚═╝     ╚═╝  ╚═╝╚═╝╚═╝  ╚═╝╚══════╝
#
# world_class_tool.mcfunction | Award the active player and share the Advancement with other players.
#                             | Called by 'World Class Tool' Advancement
#

# Loot Chest Lv2, Trident
tellraw @s ["",{"text":"Loot Chest Lv2 Given\n","color":"aqua"},{"text":"Diamond Sword Recipe Unlocked\nCrossbow Recipe Unlocked\nTrident Recipe Unlocked","color":"yellow"}]
# playsound minecraft:entity.player.levelup player @s ~ ~ ~ 1 0.75 1

# Loot Chest Reward
give @s minecraft:chest{display:{Name:"{\"text\":\"Loot Chest | Lv 2\"}"},BlockEntityTag:{LootTable:"xiphias:chests/loot_chest_lv2"}}

# /Recipe and XP Awards are given through the Advancement/

# Give Tag needed for other Advancements, Tag: world_class_tool
tag @s add world_class_tool

# Award Advancement to other players.
# /Awarded based on Tags: wood_tools, stone_tools & iron_tools/

# END OF LINE.