#
#  ██╗  ██╗██╗██████╗ ██╗  ██╗██╗ █████╗ ███████╗
#  ╚██╗██╔╝██║██╔══██╗██║  ██║██║██╔══██╗██╔════╝
#   ╚███╔╝ ██║██████╔╝███████║██║███████║███████╗
#   ██╔██╗ ██║██╔═══╝ ██╔══██║██║██╔══██║╚════██║
#  ██╔╝ ██╗██║██║     ██║  ██║██║██║  ██║███████║
#  ╚═╝  ╚═╝╚═╝╚═╝     ╚═╝  ╚═╝╚═╝╚═╝  ╚═╝╚══════╝
#
# back_to_a3.mcfunction | Teleport all players back to area 3 from an invalid location.
#                       | Called by 'xiphias:_run_every_second'
#

#   Reset score values for area 3
scoreboard players set @a xph_tp_counter 0
scoreboard players set SirSecondTick xph_location_id 3
scoreboard players set @a xph_location_id 3

#   Teleport players to area 3
spreadplayers 1691 1590 3 1 false @s
playsound minecraft:item.chorus_fruit.teleport player @s ~ ~ ~ 1 .75 1
execute at @s run particle minecraft:cloud ~ ~ ~ 1 1 1 0 1000 normal @s

#   Player Messages
title @s times 20 100 20
title @s subtitle ["",{"text":"Exclusive Materials: "},{"text":"Iron","color":"green"},{"text":", "},{"text":"Gravel","color":"green"}]
title @s title {"text":"Bahreev","color":"aqua"}
tellraw @s {"text":"Crouch for 5 seconds without moving to return to the map hub.","italic":true}

# END OF LINE.